org.apache.poi.hslf.model.textproperties

## Class TextAlignmentProp

- java.lang.Object
- - org.apache.poi.hslf.model.textproperties.TextProp
  - - org.apache.poi.hslf.model.textproperties.TextAlignmentProp

- All Implemented Interfaces:
    Duplicatable, GenericRecord

      public class TextAlignmentProp
      extends TextProp

  Definition for the text alignment property.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CENTER` For horizontal text, centered.
    `static int` | `DISTRIBUTED` Distribute space between characters.
    `static int` | `JUSTIFY` For horizontal text, flush left and right.
    `static int` | `JUSTIFYLOW` Kashida justify low.
    `static int` | `LEFT` For horizontal text, left aligned.
    `static int` | `RIGHT` For horizontal text, right aligned.
    `static int` | `THAIDISTRIBUTED` Thai distribution justification.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAlignmentProp()`
    `TextAlignmentProp(TextAlignmentProp other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextAlignmentProp` | `copy()` Clone, eg when you want to actually make use of one of these.
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `TextParagraph.TextAlign` | `getTextAlign()`

    - ### Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp

      `clone, equals, getMask, getName, getSize, getValue, getWriteMask, hashCode, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Field Detail

    - #### LEFT

          public static final int LEFT

      For horizontal text, left aligned. For vertical text, top aligned.
      See Also:
        Constant Field Values

    - #### CENTER

          public static final int CENTER

      For horizontal text, centered. For vertical text, middle aligned.
      See Also:
        Constant Field Values

    - #### RIGHT

          public static final int RIGHT

      For horizontal text, right aligned. For vertical text, bottom aligned.
      See Also:
        Constant Field Values

    - #### JUSTIFY

          public static final int JUSTIFY

      For horizontal text, flush left and right. For vertical text, flush top and bottom.
      See Also:
        Constant Field Values

    - #### DISTRIBUTED

          public static final int DISTRIBUTED

      Distribute space between characters.
      See Also:
        Constant Field Values

    - #### THAIDISTRIBUTED

          public static final int THAIDISTRIBUTED

      Thai distribution justification.
      See Also:
        Constant Field Values

    - #### JUSTIFYLOW

          public static final int JUSTIFYLOW

      Kashida justify low.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextAlignmentProp

          public TextAlignmentProp()

    - #### TextAlignmentProp

          public TextAlignmentProp(TextAlignmentProp other)

  - ### Method Detail

    - #### getTextAlign

          public TextParagraph.TextAlign getTextAlign()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`
      Overrides:
        `getGenericProperties` in class `TextProp`

    - #### copy

          public TextAlignmentProp copy()

      Description copied from class: `TextProp`
      Clone, eg when you want to actually make use of one of these.
      Specified by:
        `copy` in interface `Duplicatable`
      Overrides:
        `copy` in class `TextProp`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.